> For the complete documentation index, see [llms.txt](https://docs.raga.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.raga.ai/ragaai-catalyst/concepts/uploading-data/logging-traces.md).

# Logging traces (LlamaIndex, Langchain, etc.)

Users can log traces from their real-time (production) applications by invoking the Catalyst Tracer from their SDK. This allows Catalyst to read inferences in real-time and log them for instant evaluations. This way, users can avoid downloading and uploading in batches.

The Catalyst Tracer can be enabled with the following commands:

```python
from ragaai_catalyst.tracers import Tracer
from ragaai_catalyst import (
    RagaAICatalyst,
    init_tracing
)

# Initialize Catalyst Object
catalyst = RagaAICatalyst(
    access_key = "RNb1evdFRTKjb6I7bfhy",
    secret_key = "HmFFbkNOoub7mIXAD3bhXJWdTF283dlBh6K1Ev3z",
    base_url = "https://dev-ragaai.deephealthos.com/api"
)

# Start Tracing (Place this at the top of your code)
tracer = Tracer(
    project_name="your-project-name",
    dataset_name="your-dataset-name",
    metadata={"key1": "value1", "key2": "value2"},
    tracer_type="langchain"
)
init_tracing(catalyst=catalyst, tracer=tracer)
```

* If successful, you can view the logged dataset by navigating to Project\_Name -> Dataset\_Name
* Metrics can be run on logged datasets in the same fashion as for CSV uploads.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.raga.ai/ragaai-catalyst/concepts/uploading-data/logging-traces.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
